Skip to main content
Resource Center/Resource Pool/VM Instance Operations
GETVM Instance OperationsSince 4.1.0SynchronousAuth Required

GetCandidateL3NetworksForChangeVmNicNetwork

GetCandidateL3NetworksForChangeVmNicNetwork

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • vmNicUuidStringRequired

    The VM NIC UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryListRequired

    See inventory

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. Optional. The detailed description of the resource.

    • typeStringRequired

      类型。

    • zoneUuidStringRequired

      The zone UUID.

    • l2NetworkUuidStringRequired

      The L2 network UUID.

    • stateStringRequired

      当前状态。

    • dnsDomainStringRequired

      DNS域。

    • systemBooleanRequired

      系统。

    • categoryStringRequired

      类型分类。

    • ipVersionIntegerRequired

      The IP version.

    • createDateTimestampRequired

      The creation time.

    • lastOpDateTimestampRequired

      The last update time.

    • dnsListRequired

      No description provided.

    • ipRangesListRequired

      See ipRanges.

      • uuidStringRequired

        The resource UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • nameStringRequired

        The resource name.

      • descriptionString

        Optional. Optional. The detailed description of the resource.

      • startIpStringRequired

        The start IP address.

      • endIpStringRequired

        The end IP address.

      • netmaskStringRequired

        The netmask.

      • prefixLenStringRequired

        The netmask length.

      • gatewayStringRequired

        The gateway.

      • networkCidrStringRequired

        The network CIDR.

      • ipVersionIntegerRequired

        The IP version.

      • addressModeStringRequired

        The IPv6 address distribution mode.

      • createDateTimestampRequired

        The creation time.

      • lastOpDateTimestampRequired

        The last update time.

      • ipRangeTypeIpRangeTypeRequired

        See ipRangeType.

        • NormalIpRangeTypeRequired

          Normal IP address

        • AddressPoolIpRangeTypeRequired

          Address pool

    • networkServicesListRequired

      See networkServices.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • networkServiceProviderUuidStringRequired

        The network service provider UUID.

      • networkServiceTypeStringRequired

        No description provided.

    • hostRouteListRequired

      See ipRangesx.

      • idLongRequired

        资源ID。

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • prefixStringRequired

        No description provided.

      • nexthopStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation time.

      • lastOpDateTimestampRequired

        The last update time.

Endpoint

GET/zstack/v1/vm-instances/nics/{vmNicUuid}/l3-networks-candidates

/zstack/v1/vm-instances/nics/{vmNicUuid}/l3-networks-candidates

Operation ID

GetCandidateL3NetworksForChangeVmNicNetwork

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vm-instances/nics/{vmNicUuid}/l3-networks-candidates?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "f8fc36eaff6f3253a134bab93823baf1", "name": "private L3", "type": "L3BasicNetwork", "zoneUuid": "9ef7d386414c3101adeecd45ec9a2d51", "l2NetworkUuid": "ad3adf2da22f36c2946d90fae7f99b19", "state": "Enabled", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "ipRanges": [ { "uuid": "16f163ee55f93d4f8dca9fefcac41ecc", "l3NetworkUuid": "f8fc36eaff6f3253a134bab93823baf1", "name": "ip range", "startIp": "192.168.0.10", "endIp": "192.168.0.100", "netmask": "255.255.255.0", "gateway": "192.168.0.1", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "networkServices": [ { "l3NetworkUuid": "f8fc36eaff6f3253a134bab93823baf1", "networkServiceProviderUuid": "f714dba2f49a3d6788aafbe8b5ab3dc2", "networkServiceType": "DHCP" }, { "l3NetworkUuid": "f8fc36eaff6f3253a134bab93823baf1", "networkServiceProviderUuid": "f714dba2f49a3d6788aafbe8b5ab3dc2", "networkServiceType": "DNS" }, { "l3NetworkUuid": "f8fc36eaff6f3253a134bab93823baf1", "networkServiceProviderUuid": "f714dba2f49a3d6788aafbe8b5ab3dc2", "networkServiceType": "SNAT" } ] } ] }

Change History

This API has no change history records yet.

View all change history